## edu.stanford.nlp.trees.international.french
Class FrenchTreeNormalizer

    java.lang.Object
      edu.stanford.nlp.trees.TreeNormalizer
          edu.stanford.nlp.trees.BobChrisTreeNormalizer
              edu.stanford.nlp.trees.international.french.FrenchTreeNormalizer

All Implemented Interfaces:
  Serializable

    public class FrenchTreeNormalizer

extends BobChrisTreeNormalizer

Prepares French Treebank trees for parsing.

Author:
  Spence Green
See Also:
  Serialized Form

Nested Class Summary
`static class` `FrenchTreeNormalizer.FrenchAOverAFilter`

Nested classes/interfaces inherited from class edu.stanford.nlp.trees.BobChrisTreeNormalizer
`BobChrisTreeNormalizer.AOverAFilter, BobChrisTreeNormalizer.EmptyFilter`

Field Summary

Fields inherited from class edu.stanford.nlp.trees.BobChrisTreeNormalizer
`aOverAFilter, emptyFilter, tlp`

Constructor Summary
`FrenchTreeNormalizer()`

Method Summary
`String` `normalizeNonterminal(String category)` Normalizes a nonterminal contents.
`String` `normalizeTerminal(String terminal)` Normalizes a leaf contents.
`Tree` `normalizeWholeTree(Tree tree, TreeFactory tf)` Normalize a whole tree -- one can assume that this is the root.

Methods inherited from class edu.stanford.nlp.trees.BobChrisTreeNormalizer
`cleanUpLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchTreeNormalizer

    public FrenchTreeNormalizer()

Method Detail

### normalizeTerminal

    public String normalizeTerminal(String terminal)

  Description copied from class: `BobChrisTreeNormalizer`
  Normalizes a leaf contents. This implementation interns the leaf.

  Overrides:
    `normalizeTerminal` in class `BobChrisTreeNormalizer`
  Parameters:
    `terminal` - The String that decorates the leaf
  Returns:
    The normalized form of this leaf String

### normalizeNonterminal

    public String normalizeNonterminal(String category)

  Description copied from class: `BobChrisTreeNormalizer`
  Normalizes a nonterminal contents. This implementation strips functional tags, etc. and interns the nonterminal.

  Overrides:
    `normalizeNonterminal` in class `BobChrisTreeNormalizer`
  Parameters:
    `category` - The String that decorates this nonterminal node
  Returns:
    The normalized form of this nonterminal String

### normalizeWholeTree

    public Tree normalizeWholeTree(Tree tree,
                                   TreeFactory tf)

  Description copied from class: `BobChrisTreeNormalizer`
  Normalize a whole tree -- one can assume that this is the root. This implementation deletes empty elements (ones with nonterminal tag label '-NONE-') from the tree, and splices out unary A over A nodes. It does work for a null tree.

  Overrides:
    `normalizeWholeTree` in class `BobChrisTreeNormalizer`
  Parameters:
    `tree` - The tree to be normalized
    `tf` - the TreeFactory to create new nodes (if needed)
  Returns:
    Tree the normalized tree

Stanford NLP Group